/**
 * @copyright (c) Solution 360 GmbH
 *
 * Special functions for integrated plugins.
 */
(function ($) {

    function lpa_adjust_checkout_display() {
        // find the payment panel and remove its content, then add a class so that the amazon pay logo is rendered.
        $('#amazonpayments .panel-body:contains("Amazon Pay")').each(function () {
            var $this = $(this).closest('.panel-body');
            var $mycol = $this.closest('.col-md-6');
            var $prevcol = $mycol.prev('.col-md-6');
            $prevcol.removeClass('col-md-6');
            $prevcol.addClass('col-md-12');
            $mycol.remove();
        });
        $('#amazonpayments #order_completed p:contains("Amazon Pay")').each(function () {
            var $this = $(this).closest('p');
            var text = $this.text();
            html = text.replace(/Amazon Pay(ments)?/ig, '<span class="s360-amazonpay-logo inline"></span>');
            $this.html(html);
        });
    }

    function lpa_adjust_order_display() {
        $('#account .panel-title:contains("Amazon Pay")').each(function () {
            var $this = $(this);
            var $title = $this.closest('.panel-title');
            var $body = $this.closest('.panel').find('.panel-body');
            $title.text($title.text().replace(/: Amazon Pay(ments)?/ig, ''));
            $body.addClass('s360-amazonpay-logo');
            $body.html('');
        });
    }

    // CALLS
    // ===============
    $(document).ready(function () {
        if ($('#amazonpayments').length) {
            lpa_adjust_checkout_display();
        } else if ($('#account').length) {
            lpa_adjust_order_display();
        }
    });
})(jQuery);