{strip}
{block name="doctype"}<!DOCTYPE html>{/block}
<html {block name="html-attributes"}lang="{$meta_language}" itemscope {if $nSeitenTyp == URLART_ARTIKEL}itemtype="http://schema.org/ItemPage"
      {elseif $nSeitenTyp == URLART_KATEGORIE}itemtype="http://schema.org/CollectionPage"
      {else}itemtype="http://schema.org/WebPage"{/if}{/block}>
{block name="head"}
    <head>
        {block name="head-meta"}
            <meta http-equiv="content-type" content="text/html; charset={$smarty.const.JTL_CHARSET}">
            <meta name="description" itemprop="description" content={block name="head-meta-description"}"{$meta_description|truncate:1000:"":true}{/block}">
            <meta name="keywords" itemprop="keywords" content="{block name="head-meta-keywords"}{$meta_keywords|truncate:255:"":true}{/block}">
            <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=no">
            <meta http-equiv="X-UA-Compatible" content="IE=edge">
            <meta name="robots" content="{if $bNoIndex === true  || (isset($Link->cNoFollow) && $Link->cNoFollow === 'Y')}noindex{else}index, follow{/if}">
            <meta itemprop="image" content="{$ShopURL}/{$ShopLogoURL}"/>
            <meta itemprop="url" content="{$cCanonicalURL}"/>
            <meta property="og:type" content="website"/>
            <meta property="og:site_name" content="{$meta_title}"/>
            <meta property="og:title" content="{$meta_title}"/>
            <meta property="og:description" content="{$meta_description|truncate:1000:"":true}"/>
            <meta property="og:image" content="{$ShopURL}/{$ShopLogoURL}"/>
            {if isset($cCanonicalURL) && $cCanonicalURL != ''}
                <meta property="og:url" content="{$cCanonicalURL}"/>{/if}
        {/block}

        <title itemprop="name">{block name="head-title"}{$meta_title}{/block}</title>

        {if !empty($cCanonicalURL)}
            <link rel="canonical" href="{$cCanonicalURL}">
        {/if}

        {block name="head-base"}
            <base href="{$ShopURL}/">
        {/block}

        {block name="head-icons"}
            {if !empty($Einstellungen.template.general.favicon)}
                {if file_exists("{$currentTemplateDir}{$Einstellungen.template.general.favicon}")}
                    <link type="image/x-icon" href="{$currentTemplateDir}{$Einstellungen.template.general.favicon}"
                          rel="shortcut icon">
                {elseif file_exists("{$currentTemplateDir}images/{$Einstellungen.template.general.favicon}")}
                    <link type="image/x-icon" href="{$currentTemplateDir}images/{$Einstellungen.template.general.favicon}"
                          rel="shortcut icon">
                {elseif file_exists($Einstellungen.template.general.favicon)}
                    <link type="image/x-icon" href="{$Einstellungen.template.general.favicon}"
                          rel="shortcut icon">
                {else}
                    <link type="image/x-icon"
                          href="{$currentTemplateDir}themes/default/images/favicon-s360.ico"
                          rel="shortcut icon">
                {/if}
            {else}
                {if file_exists("favicon.ico")}
                    <link type="image/x-icon" href="favicon.ico" rel="shortcut icon">
                {else}
                    <link type="image/x-icon" href="{$currentTemplateDir}themes/default/images/favicon-s360.ico" rel="shortcut icon">
                {/if}
            {/if}
            {if $nSeitenTyp == 1 && isset($Artikel) && !empty($Artikel->Bilder)}
                <link rel="image_src" href="{$ShopURL}/{$Artikel->Bilder[0]->cPfadGross}">
                <meta property="og:image" content="{$ShopURL}/{$Artikel->Bilder[0]->cPfadGross}">
            {/if}
        {/block}

        {block name="head-resources"}
            {* css *}
            {if !isset($Einstellungen.template.general.use_minify) || $Einstellungen.template.general.use_minify === 'N' || isset($smarty.get.s360preview) || (isset($et360_ignore_minify) && $et360_ignore_minify)}

                {foreach from=$cCSS_arr item="cCSS"}
                    <link type="text/css" href="{$cCSS}?v={$nTemplateVersion}-{s360_load_timestamp}" rel="stylesheet">
                {/foreach}

                {if isset($cPluginCss_arr)}
                    {foreach from=$cPluginCss_arr item="cCSS"}
                        <link type="text/css" href="{$cCSS}?v={$nTemplateVersion}-{s360_load_timestamp}" rel="stylesheet">
                    {/foreach}
                {/if}
            {else}
                {s360_get_shop_version assignTo="shopVersion"}
                {if $shopVersion > 405}
                    <link type="text/css" href="asset/{$Einstellungen.template.theme.theme_default}.css{if isset($cPluginCss_arr) && $cPluginCss_arr|@count > 0},plugin_css{/if}?v={$nTemplateVersion}-{s360_load_timestamp}" rel="stylesheet">
                {else}
                    <link type="text/css" href="asset/{$Einstellungen.template.theme.theme_default}.css?v={$nTemplateVersion}-{s360_load_timestamp}" rel="stylesheet">
                    {if isset($cPluginCss_arr) && $cPluginCss_arr|@count > 0}
                        <link type="text/css" href="asset/plugin_css?v={$nTemplateVersion}-{s360_load_timestamp}" rel="stylesheet">
                    {/if}
                {/if}
            {/if}
            {* RSS *}
            {if isset($Einstellungen.rss.rss_nutzen) && $Einstellungen.rss.rss_nutzen === 'Y'}
                <link rel="alternate" type="application/rss+xml" title="Newsfeed {$Einstellungen.global.global_shopname}" href="rss.xml">
            {/if}
            {* Languages *}
            {if !empty($smarty.session.Sprachen) && count($smarty.session.Sprachen) > 1}
                {foreach item=oSprache from=$smarty.session.Sprachen}
                    <link rel="alternate" hreflang="{$oSprache->cISO639}" href="{if isset($oSprache->cURLFull, $cCanonicalURL)}{if $nSeitenTyp === 18 && $oSprache->cStandard === "Y"}{$cCanonicalURL}{else}{$oSprache->cURLFull}{/if}{else}{$oSprache->cURL}{/if}">
                {/foreach}
            {/if}
        {/block}

        {block name="head-pagination"}
            {* Pagination *}
            {if isset($Suchergebnisse->Seitenzahlen->maxSeite) && $Suchergebnisse->Seitenzahlen->maxSeite > 1 && isset($oNaviSeite_arr) && $oNaviSeite_arr|@count > 0}
                {if $Suchergebnisse->Seitenzahlen->AktuelleSeite>1}
                    <link rel="prev" href="{$oNaviSeite_arr.zurueck->cURL}">
                {/if}
                {if $Suchergebnisse->Seitenzahlen->AktuelleSeite < $Suchergebnisse->Seitenzahlen->maxSeite}
                    <link rel="next" href="{$oNaviSeite_arr.vor->cURL}">
                {/if}
            {/if}
        {/block}

        {block name="head-resources-jquery"}
            <script src="{if empty($parentTemplateDir)}{$currentTemplateDir}{else}{$parentTemplateDir}{/if}js/jquery-1.12.4.min.js"></script>
            {*Prevent auto-execution of cross-domain scripts (See gh-2432)*}
            <script type="text/javascript">
                jQuery.ajaxPrefilter( function(s) {
                    if (s.crossDomain) {
                        s.contents.script = false;
                    }
                });
            </script>
            <script src="{if empty($parentTemplateDir)}{$currentTemplateDir}{else}{$parentTemplateDir}{/if}js/lodash-4.17.15.min.js"></script>
        {/block}

        {* JS Resources *}
        {block name="head-resources-single-js"}
            {if !isset($Einstellungen.template.general.use_minify) || $Einstellungen.template.general.use_minify === 'N' || (isset($et360_ignore_minify) && $et360_ignore_minify)}
            {foreach from=$cJS_arr item="cJS"}
                <script type="text/javascript" src="{$cJS}?v={$nTemplateVersion}"></script>
            {/foreach}
            {if isset($cPluginJsHead_arr)}
            {foreach from=$cPluginJsHead_arr item="cJS"}
                <script type="text/javascript" src="{$cJS}?v={$nTemplateVersion}"></script>
            {/foreach}
            {/if}
            {else}
                <script type="text/javascript" src="asset/jtl3.js?v={$nTemplateVersion}"></script>
            {if isset($cPluginJsHead_arr) && $cPluginJsHead_arr|@count > 0}
                <script type="text/javascript" src="asset/plugin_js_head?v={$nTemplateVersion}"></script>
            {/if}
            {/if}
        {/block}

        {assign var="customJSPath" value=$currentTemplateDir|cat:'/js/custom.js'}
        {if file_exists($customJSPath)}
            <script type="text/javascript" src="{$customJSPath}?v={$nTemplateVersion}"></script>
        {/if}

        {* Global setting for head content *}
        {s360_load_global_setting type="headerContent"}
    </head>
{/block}
{block name="body-tag"}
<body data-page="{$nSeitenTyp}" data-device="{s360_detect_device}" class="body-offcanvas theme-{$Einstellungen.template.theme.theme_default}"{if isset($Link) && !empty($Link->cIdentifier)} id="{$Link->cIdentifier}"{/if} style="{s360_load_global_setting type="background"}">
{/block}


{block name="main-wrapper-starttag"}
<div id="main-wrapper" class="main-wrapper{if $bExclusive} exclusive{/if}">
    {/block}
    {if !$bExclusive}

        {block name="header-maintenance-mode"}
            {* This is the info bar shown to admins when logged in during maintenance mode *}
            {if isset($bAdminWartungsmodus) && $bAdminWartungsmodus}
                <div id="maintenance-mode">
                    <div class="container bg-color-default">
                        <div class="row navbar-text text-center">
                            <div class="col-xs-12">
                                {lang key="adminMaintenanceMode" section="global"}
                            </div>
                        </div>
                    </div>
                </div>
            {/if}
        {/block}

        {* The header itself *}
        <header class="hidden-print">

            {* HEADER MAIN GRID *}
            {s360_load_element id="mainGrid" type="headerGrid" area="1"}

            {* main menu *}
            {block name="header-category-nav"}
                {s360_load_element id="mainMenuGrid" type="mainMenuGrid" area="3"}
                {* Standard EVO Navigation: {include file="layout/header_category_nav.tpl"} *}
            {/block}

            {* burger menu *}
            {block name="header-xs-nav"}
                {* Standard EVO Mobile Navigation: {include file="layout/header_xs_nav.tpl"} *}
            {/block}
        </header>
    {/if}

    {block name="content-wrapper-starttag"}
    <div id="content-wrapper">
        {/block}


        {block name="content-starttag"}
        <div id="content">
            {/block}
            {block name="header-breadcrumb"}
                {include file='layout/breadcrumb.tpl'}
            {/block}
            {/strip}
